
/* Written by Joe Freeman */
/* This object is responsible for all in bound traffic during a conference
 * All messages from the server come here and are dispatched to the 
 * appropriate places.
 *
 * I could have had the Graphic view be the delegate but that would have
 * involved hacking even more into the graphicView 
 *
 * The conferenceSpeaker in the Graphic View is set to nil whenever we
 * talk to it, so there is not a circular loop with it passing the message
 * we pass. 
 *
 * An additional hack into this makes this the marker and faces handler 
 */
/* Generated by Interface Builder */

#import <objc/Object.h>

@interface ConfListener:Object
{
    int	myID;			/* temp incase we need it later */
    id	listenerObject;		/* actual GBListener */
    id  speakerObject;  	/* actual GBSpeaker used by graphicView */
    id	graphicView;		/* that this document is using */
    char tempPortName[20];	/* port name registered under */
    
    id	attendPanel;		/* object that handles the markers and faces*/
    id	faceMatrix;		/* matrix where faces are kept */
    id	ideaMatrix;		/* faces where lightbulbs are displayed */
    id	markMatrix;		/* matrix that shows who has marker */
    id	requestButton;		/* so we can enable and disable */
    id	dropButton;		/* so we can enable and disable */
}

+ new;
- init;
- setGraphicView:anObject;
- setConferenceSpeaker:anObject;/* need this so can enable and disable view */
- setConferenceID:(int)anID;	/* also sets graphicView's conference id */
- (char *)portNameUsed;		/* return the port name used for listener */

- addFaceWithName: (char *)userName andID:(int)userID;

- requestMarker:sender;		/* from the face panel */
- dropMarker:sender;		/* from the face panel */
- giveMarkerTo:sender;		/* give the marker directly too... from face*/

@end
